;*************************************************************************
;***                                                                   ***
;***      TECOMAT TP1000                                               ***
;***      PROFIBUS DP                                                  ***
;***                                                                   ***
;*************************************************************************
;***                                                                   ***
;***      Soubor: ALT_059A.GSC                                         ***
;***                                                                   ***
;*************************************************************************
;
;      POZOR:
;      ======
;      Zmny tohoto souboru mohou zpsobit problmy konfigurace a komunikace.
;      Tento soubor je kompatibiln s firmwarem zazen.
;
;


#Profibus_DP

GSD_Revision = 2
Vendor_Name = "ALTUS Sistemas de Informatica"
Model_Name = "PO5063"
Revision = "1.021"
Ident_Number = 0x059A
Protocol_Ident = 0
Station_Type = 0
FMS_supp = 0
Hardware_Release = "V100"
Software_Release = "4.08"

9.6_supp = 1
19.2_supp = 1
93.75_supp = 1
187.5_supp = 1
500_supp = 1
1.5M_supp = 1
3M_supp = 1
6M_supp = 1
12M_supp = 1

MaxTsdr_9.6 = 60
MaxTsdr_19.2 = 60
MaxTsdr_93.75 = 60
MaxTsdr_187.5 = 60
MaxTsdr_500 = 100
MaxTsdr_1.5M = 150
MaxTsdr_3M = 250
MaxTsdr_6M = 450
MaxTsdr_12M = 800

Redundancy = 0
Repeater_Ctrl_Sig = 2
24V_Pins = 0
Implementation_Type = "Remote Head"

Freeze_Mode_supp = 1
Sync_Mode_supp = 1
Auto_Baud_supp = 1
Set_Slave_Add_supp = 0
Min_Slave_Intervall = 10
Modular_Station = 1
Max_Module=32
Max_Input_Len=200
Max_Output_Len=200
Max_Data_Len = 400
Fail_Safe = 1
Max_Diag_Data_Len=128
Modul_Offset = 0
Slave_Family = 3@TECOMAT@TP1000
Max_User_Prm_Data_Len = 210

Bitmap_Device = "PO5063_R"
Bitmap_Diag   = "PO5063_D"
Bitmap_SF     = "PO5063_S"

; Diagnostika
Channel_Diag(30) = "Peruen pojistka            "
Channel_Diag(31) = "Module bez parametr          "

Unit_Diag_Area = 0-1
Value(0) = "Hork zlohovn vypnuto        "
Value(2) = "Hork zlohovn bez konzistence"
Value(3) = "Hork zlohovn s konzistenc  "
Unit_Diag_Area_End

Unit_Diag_Bit(02)= "Stav LOCAL povolen            "
Unit_Diag_Bit(04)= "Blokovn vstup povoleno    "
Unit_Diag_Bit(06)= "Run pepnn povoleno      "

Unit_Diag_Area = 24-26
Value(0) = "stav OFF LINE                   "
Value(1) = "stav ON LINE PRIMARY            "
Value(2) = "stav LOCAL                      "
Value(3) = "stav ERROR                      "
Value(4) = "stav SAFE                       "
Value(5) = "stav ON LINE BACKUP             "
Unit_Diag_Area_End

Unit_Diag_Bit(32)= "Diagnostick hlen modulu     "
Unit_Diag_Bit(33)= "Fixovan hodnoty                "
Unit_Diag_Bit(34)= "Blokovan vstupy               "
Unit_Diag_Bit(35)= "Modul hls chybu               "
Unit_Diag_Bit(36)= "Chybjc modul                 "
Unit_Diag_Bit(37)= "Nedeklarovan modul             "
Unit_Diag_Bit(38)= "Modul m chybn parametry       "

Unit_Diag_Area = 48-52
Value(01) = "Problm st                    "
Value(02) = "Bez parametr                   "
Value(03) = "Chyba parameters                "
Value(04) = "Chyba rozhran Profibus         "
Value(05) = "Sbrnice bez zakonen          "
Value(06) = "Chybn adresa Profibus          "
Value(07) = "Chyba pamti procesoru Profibus "
Value(08) = "Nedeklarovan modul             "
Value(09) = "Chybjc modul bez hork zlohy"
Value(10) = "Chyba modulu bez hork zlohy   "
Value(11) = "Nedeklar. modul s konzistenc   "
Value(12) = "Chybjc modul s konzistenc   "
Value(13) = "Chyba modulu s konzistenc      "
Value(14) = "Vce ne 20 relnch modul     "
Value(15) = "Vce ne 10 rel.mod. v segmentu"
Value(16) = "Poet I/O byt pekroen        "
Value(17) = "Virtuln modul ped koncem     "
Value(18) = "Poet virtul.modul vt ne 4"
Value(19) = "Chyba formtu v konfig. Profibus"
Value(20) = "Chyba velikosti v konf. Profibus"
Value(21) = "Nkter modul hls chybu       "
Value(22) = "Chyba deklar. modulu redundance "
Value(23) = "Chyba deklar. virtulnho modulu"
Value(24) = "Chyba sbrnice                  "
Value(25) = "Chybn pozice                   "
Value(31) = "Chyba hardwaru                  "
Unit_Diag_Area_End

Unit_Diag_Bit(56) = "Modul 00 chyb nebo m chybu    "
Unit_Diag_Bit(57) = "Modul 01 chyb nebo m chybu    "
Unit_Diag_Bit(58) = "Modul 02 chyb nebo m chybu    "
Unit_Diag_Bit(59) = "Modul 03 chyb nebo m chybu    "
Unit_Diag_Bit(60) = "Modul 04 chyb nebo m chybu    "
Unit_Diag_Bit(61) = "Modul 05 chyb nebo m chybu    "
Unit_Diag_Bit(62) = "Modul 06 chyb nebo m chybu    "
Unit_Diag_Bit(63) = "Modul 07 chyb nebo m chybu    "
Unit_Diag_Bit(64) = "Modul 08 chyb nebo m chybu    "
Unit_Diag_Bit(65) = "Modul 09 chyb nebo m chybu    "
Unit_Diag_Bit(66) = "Modul 10 chyb nebo m chybu    "
Unit_Diag_Bit(67) = "Modul 11 chyb nebo m chybu    "
Unit_Diag_Bit(68) = "Modul 12 chyb nebo m chybu    "
Unit_Diag_Bit(69) = "Modul 13 chyb nebo m chybu    "
Unit_Diag_Bit(70) = "Modul 14 chyb nebo m chybu    "
Unit_Diag_Bit(71) = "Modul 15 chyb nebo m chybu    "
Unit_Diag_Bit(72) = "Modul 16 chyb nebo m chybu    "
Unit_Diag_Bit(73) = "Modul 17 chyb nebo m chybu    "
Unit_Diag_Bit(74) = "Modul 18 chyb nebo m chybu    "
Unit_Diag_Bit(75) = "Modul 19 chyb nebo m chybu    "
Unit_Diag_Bit(76) = "Modul 20 chyb nebo m chybu    "
Unit_Diag_Bit(77) = "Modul 21 chyb nebo m chybu    "
Unit_Diag_Bit(78) = "Modul 22 chyb nebo m chybu    "
Unit_Diag_Bit(79) = "Modul 23 chyb nebo m chybu    "


; Seznam definic parametr
PrmText = 1
Text (0) = "Vypnuto"
Text (1) = "Zapnuto"
EndPrmText

PrmText = 2
Text (0) = "C"
Text (1) = "F"
EndPrmText

PrmText = 3
Text (0) = "100 ms"
Text (1) = "25 ms"
EndPrmText

PrmText = 4
Text (0) = "Americk standard               "
Text (1) = "Evropsk standard               "
EndPrmText

PrmText = 5
Text(0) = "0,2/1,3ms-780/122Hz mezn frekv."
Text(1) = "100ms - 1,6 Hz mezn frekvence  "
Text(2) = "1s - 0,16 Hz mezn frekvence    "
Text(3) = "10s - 0,016 Hz mezn frekvence  "
EndPrmText

PrmText = 6
Text(00) = "Kanl vypnut                   "
Text(01) = "Napt -100 a 100 mV           "
Text(02) = "Napt 0 a 1 V                 "
Text(03) = "Napt 0 a 5 V                 "
Text(04) = "Napt 0 a 10 V                "
Text(05) = "Napt -1 a +1 V               "
Text(06) = "Napt -5 a +5 V               "
Text(07) = "Napt -10 a +10 V             "
Text(08) = "Proud -1 a +1 mA               "
Text(09) = "Proud 0 a 20 mA                "
Text(10) = "Proud 4 a 20 mA                "
Text(11) = "Proud -20 a +20 mA             "
Text(16) = "Termolnek typu J              "
Text(17) = "Termolnek typu K              "
Text(18) = "Termolnek typu B              "
Text(19) = "Termolnek typu E              "
Text(20) = "Termolnek typu T              "
Text(21) = "Termolnek typu R              "
Text(22) = "Termolnek typu S              "
Text(23) = "Termolnek typu N              "
Text(24) = "PT100 RTD                       "
Text(25) = "PT1000 RTD                      "
Text(27) = "Odpor 0 a 400 R                "
Text(28) = "Odpor 0 a 4000 R               "
EndPrmText

PrmText = 7
Text(1) = "Vypnuto                         "
Text(0) = "Zapnuto                         "
EndPrmText

PrmText = 8
Text(0) = "Hork zlohovn vypnuto        "
Text(2) = "Hork zlohovn bez konzistence"
Text(3) = "Hork zlohovn s konzistenc  "
EndPrmText

PrmText = 9
Text(00) = "Proud 4 a 20 mA                "
Text(01) = "Proud 0 a 20 mA                "
Text(02) = "Napt 0 a 10 V                "
Text(03) = "Napt -10 a +10 V             "
EndPrmText

PrmText = 11
Text(0) = "0,5 ms                          "
Text(1) = "2 ms                            "
Text(2) = "10 ms                           "
Text(3) = "50 ms                           "
Text(4) = "100 ms                          "
EndPrmText

PrmText = 12
Text (0) = "Povoleno"
Text (1) = "Zakzno"
EndPrmText

PrmText = 13
Text(00) = "Vypnuto                        "
Text(10) = "10 ms  (pouze PO5063V4)        "
Text(30) = "30 ms  (pouze PO5063V4)        "
Text(50) = "50 ms  (pouze PO5063V4)        " 
Text(100) = "100 ms  (pouze PO5063V4)       " 
Text(131) = "300 ms  (pouze PO5063V4)       "
Text(133) = "500 ms  (pouze PO5063V4)       "
Text(138) = "1 s  (pouze PO5063V4)          "
Text(158) = "3 s  (pouze PO5063V4)          "
Text(178) = "5 s  (pouze PO5063V4)          "
Text(228) = "10 s  (pouze PO5063V4)         "
EndPrmText

PrmText = 14
Text(00) = "Kanl vypnut                   "
Text(01) = "Napt -100 a 100 mV           "
Text(02) = "Napt 0 a 1 V                 "
Text(03) = "Napt 0 a 5 V                 "
Text(04) = "Napt 0 a 10 V                "
Text(05) = "Napt -1 a +1 V               "
Text(06) = "Napt -5 a +5 V               "
Text(07) = "Napt -10 a +10 V             "
Text(08) = "Proud -1 a +1 mA               "
Text(09) = "Proud 0 a 20 mA                "
Text(10) = "Proud 4 a 20 mA                "
Text(11) = "Proud -20 a +20 mA             "
EndPrmText

PrmText = 15
Text (0) = "Zakzno                        " 
Text (1) = "Povoleno (pouze PO5063V4)       "
EndPrmText

ExtUserPrmData = 1 "Start systmu                   "
BitArea (0-1) 3 0,2,3
Prm_Text_Ref = 8
EndExtUserPrmData

ExtUserPrmData = 2 "Jednotka teploty                "
Bit (0) 0 0-1
Prm_Text_Ref = 2
EndExtUserPrmData

ExtUserPrmData = 3 "as zmny                       "
Bit (3) 0 0-1
Prm_Text_Ref = 3
EndExtUserPrmData

ExtUserPrmData = 4 "Kivka RTD                      "
Bit (2) 0 0-1
Prm_Text_Ref = 4
EndExtUserPrmData

ExtUserPrmData = 5 "Typ kanlu 0                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 6 "Filtr kanlu 0                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 7 "Typ kanlu 1                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 8 "Filtr kanlu 1                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 9 "Typ kanlu 2                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 10 "Filtr kanlu 2                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 11 "Typ kanlu 3                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 12 "Filtr kanlu 3                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 13 "Typ kanlu 4                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 14 "Filtr kanlu 4                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 15 "Typ kanlu 5                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 16 "Filtr kanlu 5                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 17 "Typ kanlu 6                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 18 "Filtr kanlu 6                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 19 "Typ kanlu 7                    "
BitArea(0-4) 0 0-28
Prm_Text_Ref = 6
EndExtUserPrmData

ExtUserPrmData = 20 "Filtr kanlu 7                  "
BitArea (5-6) 0 0-3
Prm_Text_Ref = 5
EndExtUserPrmData

ExtUserPrmData = 23 "Zapnut diagnostika             "
Bit (7) 0 0-1
Prm_Text_Ref = 7
EndExtUserPrmData

ExtUserPrmData = 24 "Status diagnostiky              "
Bit (5) 0 0-1
Prm_Text_Ref = 12
EndExtUserPrmData

ExtUserPrmData = 26 "Povoleno blokovn vstup      "
Bit (4) 0 0-1
Prm_Text_Ref = 1
EndExtUserPrmData

ExtUserPrmData = 28 "Typ kanlu 0                    "
BitArea (0-3) 0 0-3
Prm_Text_Ref = 9
EndExtUserPrmData

ExtUserPrmData = 29 "Typ kanlu 1                    "
BitArea (0-3) 0 0-3
Prm_Text_Ref = 9
EndExtUserPrmData

ExtUserPrmData = 30 "Typ kanlu 2                    "
BitArea (0-3) 0 0-3
Prm_Text_Ref = 9
EndExtUserPrmData

ExtUserPrmData = 31 "Typ kanlu 3                    "
BitArea (0-3) 0 0-3
Prm_Text_Ref = 9
EndExtUserPrmData

ExtUserPrmData = 32 "Filtr modulu                    "
BitArea (0-2) 1 0-4
Prm_Text_Ref = 11
EndExtUserPrmData

ExtUserPrmData = 33 "Doba ekn po chyb mastera    "
Unsigned8 0 0-255
Prm_Text_Ref = 13
EndExtUserPrmData

ExtUserPrmData = 34 "Run pepnut                  "
Bit (6) 0 0-1
Prm_Text_Ref = 15
EndExtUserPrmData

ExtUserPrmData = 35 "Auto-test vstupnho kanlu      "
Bit (6) 0 0-1
Prm_Text_Ref = 1
EndExtUserPrmData

ExtUserPrmData = 36 "Diagnostika vnjho napjen DC"
Bit (7) 0 0-1
Prm_Text_Ref = 1
EndExtUserPrmData

ExtUserPrmData = 37 "Diagnostika vnjho napjen AC"
Bit (7) 0 0-1
Prm_Text_Ref = 1
EndExtUserPrmData

ExtUserPrmData = 38 "Typ kanlu 0                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 39 "Typ kanlu 1                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 40 "Typ kanlu 2                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 41 "Typ kanlu 3                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 42 "Typ kanlu 4                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 43 "Typ kanlu 5                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 44 "Typ kanlu 6                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 45 "Typ kanlu 7                    "
BitArea(0-3) 0 0-11
Prm_Text_Ref = 14
EndExtUserPrmData

ExtUserPrmData = 46 "Diagnostika kanlu              "
Bit (7) 0 0-1
Prm_Text_Ref = 12
EndExtUserPrmData

;System Parametrers
Ext_User_Prm_Data_Const (0) = 00
Ext_User_Prm_Data_Const (1) = 04
Ext_User_Prm_Data_Const (2) = 00
Ext_User_Prm_Data_Ref (2) = 1
Ext_User_Prm_Data_Ref (2) = 24
Ext_User_Prm_Data_Ref (2) = 26
Ext_User_Prm_Data_Ref (2) = 34
Ext_User_Prm_Data_Ref (2) = 46
Ext_User_Prm_Data_Const (3) = 00
Ext_User_Prm_Data_Ref (3) = 33
Ext_User_Prm_Data_Const (4) = 20

; Module Definition List
Module = "PO1000 16DI 24 Vdc Opto Coupled " 0x41, 0x01, 0x00
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 35
Ext_User_Prm_Data_Ref (0) = 36
EndModule

Module = "PO1001 16DI 110 Vac Opto Coupled" 0x41, 0x01, 0x01
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 37
EndModule

Module = "PO1002 16DI 220 Vac Opto Coupled" 0x41, 0x01, 0x02
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 37
EndModule

Module = "PO1003 16DI 48 Vdc Opto Coupled " 0x41, 0x01, 0x03
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 35
Ext_User_Prm_Data_Ref (0) = 36
EndModule

Module = "PO1004 16DI 125 Vdc Opto Coupled" 0x41, 0x01, 0x04
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 35
Ext_User_Prm_Data_Ref (0) = 36
EndModule

Module = "PO1010 32DI 24 Vdc Opto         " 0x41, 0x03, 0x0A
Ext_Module_Prm_Data_Len = 0x02
Ext_User_Prm_Data_Const (0) = 0x02
Ext_User_Prm_Data_Const (1) = 0
Ext_User_Prm_Data_Ref (1) = 32
EndModule

Module = "PO1112 8AI Universal Isolated   " 0x41, 0x47, 0x0C
Ext_Module_Prm_Data_Len = 0x0A
Ext_User_Prm_Data_Const (0) = 0x0A
Ext_User_Prm_Data_Const (1) = 0x00
Ext_User_Prm_Data_Const (2) = 0x00
Ext_User_Prm_Data_Const (3) = 0x00
Ext_User_Prm_Data_Const (4) = 0x00
Ext_User_Prm_Data_Const (5) = 0x00
Ext_User_Prm_Data_Const (6) = 0x00
Ext_User_Prm_Data_Const (7) = 0x00
Ext_User_Prm_Data_Const (8) = 0x00
Ext_User_Prm_Data_Const (9) = 0x00
Ext_User_Prm_Data_Ref (1) = 2
Ext_User_Prm_Data_Ref (1) = 3
Ext_User_Prm_Data_Ref (1) = 4
Ext_User_Prm_Data_Ref (2) = 5
Ext_User_Prm_Data_Ref (2) = 6
Ext_User_Prm_Data_Ref (3) = 7
Ext_User_Prm_Data_Ref (3) = 8
Ext_User_Prm_Data_Ref (4) = 9
Ext_User_Prm_Data_Ref (4) = 10
Ext_User_Prm_Data_Ref (5) = 11
Ext_User_Prm_Data_Ref (5) = 12
Ext_User_Prm_Data_Ref (6) = 13
Ext_User_Prm_Data_Ref (6) = 14
Ext_User_Prm_Data_Ref (7) = 15
Ext_User_Prm_Data_Ref (7) = 16
Ext_User_Prm_Data_Ref (8) = 17
Ext_User_Prm_Data_Ref (8) = 18
Ext_User_Prm_Data_Ref (9) = 19
Ext_User_Prm_Data_Ref (9) = 20
Channel_Diag(16) = "Chybn parametry kanlu         "
Channel_Diag(17) = "Zkrat na senzoru RTD            "
Channel_Diag(18) = "Otev.senzor nebo peruen kabel"
Channel_Diag(19) = "Pekroen rozsahu              "
EndModule

Module = "PO1113 8AI Voltage-Current Isol." 0x41, 0x47, 0x0D
Ext_Module_Prm_Data_Len = 0x0A
Ext_User_Prm_Data_Const (0) = 0x0A
Ext_User_Prm_Data_Const (1) = 0x00
Ext_User_Prm_Data_Const (2) = 0x00
Ext_User_Prm_Data_Const (3) = 0x00
Ext_User_Prm_Data_Const (4) = 0x00
Ext_User_Prm_Data_Const (5) = 0x00
Ext_User_Prm_Data_Const (6) = 0x00
Ext_User_Prm_Data_Const (7) = 0x00
Ext_User_Prm_Data_Const (8) = 0x00
Ext_User_Prm_Data_Const (9) = 0x00
Ext_User_Prm_Data_Ref (1) = 3
Ext_User_Prm_Data_Ref (2) = 38
Ext_User_Prm_Data_Ref (2) = 6
Ext_User_Prm_Data_Ref (3) = 39
Ext_User_Prm_Data_Ref (3) = 8
Ext_User_Prm_Data_Ref (4) = 40
Ext_User_Prm_Data_Ref (4) = 10
Ext_User_Prm_Data_Ref (5) = 41
Ext_User_Prm_Data_Ref (5) = 12
Ext_User_Prm_Data_Ref (6) = 42
Ext_User_Prm_Data_Ref (6) = 14
Ext_User_Prm_Data_Ref (7) = 43
Ext_User_Prm_Data_Ref (7) = 16
Ext_User_Prm_Data_Ref (8) = 44
Ext_User_Prm_Data_Ref (8) = 18
Ext_User_Prm_Data_Ref (9) = 45
Ext_User_Prm_Data_Ref (9) = 20
Channel_Diag(16) = "Chybn parametry kanlu         "
Channel_Diag(18) = "Otev.senzor nebo peruen kabel"
Channel_Diag(19) = "Pekroen rozsahu              "
EndModule


Module = "PO2020 16DO Transistor Opto     " 0x81, 0x01, 0x14
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x01
Ext_User_Prm_Data_Ref (0) = 23
EndModule

Module = "PO2022 16DO NO Dry Contact Relay" 0x81, 0x01, 0x16
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO2132 4AO Universal Isolated   " 0x81, 0x43, 0x20
Ext_Module_Prm_Data_Len = 0x06
Ext_User_Prm_Data_Const (0) = 0x06
Ext_User_Prm_Data_Const (1) = 0x00
Ext_User_Prm_Data_Const (2) = 0x00
Ext_User_Prm_Data_Const (3) = 0x00
Ext_User_Prm_Data_Const (4) = 0x00
Ext_User_Prm_Data_Const (5) = 0x00
Ext_User_Prm_Data_Ref (2) = 28
Ext_User_Prm_Data_Ref (3) = 29
Ext_User_Prm_Data_Ref (4) = 30
Ext_User_Prm_Data_Ref (5) = 31
Channel_Diag(16) = "Chybn parametry kanlu         "
Channel_Diag(18) = "Maximln proud na vstupu      "
EndModule

Module = "PO7078 Bus Extension            " 0x01, 0x4E
EndModule

Module = "PO9097 - Diagnostic by MMI Foton" 0x01, 0x61
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9098 - 8 bytes IN (MMI)       " 0x41, 0x07, 0x62
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9098 - 8 bytes OUT (MMI)      " 0x81, 0x07, 0x62
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9098 - 8 words IN (MMI)       " 0x41, 0x47, 0x62
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9098 - 8 words OUT (MMI)      " 0x81, 0x47, 0x62
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9100 - Redundant Head PO5163  " 0xC1, 0x40, 0x40, 0x64
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9999 Dummy Module             " 0x01, 0x63
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9999 - 2 bytes Output         " 0x81, 0x01, 0x63
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9999 - 4 words Output         " 0x81, 0x43, 0x63
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9999 - 4 bytes Input          " 0x41, 0x03, 0x63
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

Module = "PO9999 - 8 words Input          " 0x41, 0x47, 0x63
Ext_Module_Prm_Data_Len = 0x01
Ext_User_Prm_Data_Const (0) = 0x00
EndModule

















