(* Upozornn *)
(* Soubor je automaticky regenerovn a vechny run modifikace budou ztracen. *)
(* ---------------------------------------------------------------------- *)
(* Generovno pro TC700 *)
(* ********************************************************************** *)
TYPE
  TCHStatistic          : STRUCT
  Stat       : UINT;
  trueMes    : UDINT;
  falseMes   : UDINT;
  END_STRUCT;

  TCHControl : STRUCT
    Control : UINT;
  END_STRUCT;

  TUniStat : STRUCT
    DSR    : BOOL;
    CTS    : BOOL;
    dummy1 : BOOL;
    dummy2 : BOOL;
    RCF    : BOOL;
    ROV    : BOOL;
    TRF    : BOOL;
    ACR    : BOOL;
  END_STRUCT;

  TUniCont : STRUCT
    dummy1 : BOOL;
    dummy2 : BOOL;
    dummy3 : BOOL;
    dummy4 : BOOL;
    dummy5 : BOOL;
    TRG    : BOOL;
    CLR    : BOOL;
    ACN    : BOOL;
  END_STRUCT;

  TUniSign : STRUCT
    DTR : BOOL;
    RTS : BOOL;
  END_STRUCT;

END_TYPE
(* ********************************************************************** *)
(* ---------------------------------------------------------------------- *)
(* CP-7001 *)
VAR_GLOBAL
END_VAR
(* ---------------------------------------------------------------------- *)
(* SC-7101 *)
TYPE
  TInData4 : STRUCT
    Keyb0 : USINT;
  END_STRUCT;
END_TYPE

TYPE
  TUniInCH4 : STRUCT
    Stat : TUniStat;
    Err : USINT;
    NumR : UINT ;
    Keyb : TInData4;
  END_STRUCT;
END_TYPE

TYPE
  TOutData4 : STRUCT
    VideoRAM0 : ARRAY [0..79] OF USINT;
  END_STRUCT;
END_TYPE

TYPE
  TUniOutCH4 : STRUCT
    Cont : TUniCont;
    Sign : TUniSign;
    NumT : UINT ;
    VideoRAM : TOutData4;
  END_STRUCT;
END_TYPE

VAR_GLOBAL
  r0_p3_StatisticCH4   AT %X0   : TCHStatistic;
  r0_p3_ControlCH4     AT %Y0   : TCHControl;
  CH4_IN               : TUniInCH4;
  CH4_OUT              : TUniOutCH4;
(* alias *)
  Panel0_uniKeyb       AT CH4_IN.Keyb.Keyb0;
  VideoRAM             AT CH4_OUT.VideoRAM.VideoRAM0;
END_VAR

(* ********************************************************************** *)
(* Posledn zmny : 18.7.2003 9:35:20 *)
(* Generovno programem MOSAIC *)
(*  2001-2003 Teco a.s. *)
(* Verze : 1.0 *)
